Pagination (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.taglib.Pagination class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.taglib
Class Pagination

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          org.hyperic.hq.ui.taglib.PaginationParameters
              org.hyperic.hq.ui.taglib.Pagination

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class Pagination

extends PaginationParameters

generate pagination info for a specified list.

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`Pagination()`

Method Summary
`protected java.lang.String` | `createDots(int sets)` Returns a string containing the nagivation bar that allows the user to move between pages within the list.
`protected java.lang.String` | `createPagination()`
`protected java.lang.String` | `createSetListSelect(int sets)` Returns a string containing the nagivation bar that allows the user to move between pages within the list.
`int` | `doEndTag()`
`int` | `doStartTag()`
`protected void` | `evaluateAttributes()`
`void` | `getRequestParams(javax.servlet.http.HttpServletRequest request)`
`void` | `release()` Release tag state.

Methods inherited from class org.hyperic.hq.ui.taglib.PaginationParameters
`getAction, getDefaultSortColumn, getItems, getListTotalSize, getMaxPages, getOrderValue, getPageNumber, getPageSize, getPageSizeValue, getPageValue, getSortValue, isIncludeFirstLast, isIncludePreviousNext, setAction, setDefaultSortColumn, setIncludeFirstLast, setIncludePreviousNext, setItems, setListTotalSize, setMaxPages, setOrderValue, setPageNumber, setPageSize, setPageSizeValue, setPageValue, setSortValue`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Pagination

    public Pagination()

Method Detail

### release

    public void release()

  Release tag state.

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `PaginationParameters`

### doStartTag

    public final int doStartTag()
                         throws javax.servlet.jsp.JspException

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `javax.servlet.jsp.tagext.TagSupport`
  Throws:
    `javax.servlet.jsp.JspException`

### evaluateAttributes

    protected void evaluateAttributes()
                               throws javax.servlet.jsp.JspTagException

  Throws:
    `javax.servlet.jsp.JspTagException`

### createPagination

    protected java.lang.String createPagination()
                                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### createSetListSelect

    protected java.lang.String createSetListSelect(int sets)

  Returns a string containing the nagivation bar that allows the user to move between pages within the list. The urlFormatString should be a URL that looks like the following: http://.../somepage.page?pn={0}

### createDots

    protected java.lang.String createDots(int sets)

  Returns a string containing the nagivation bar that allows the user to move between pages within the list. The urlFormatString should be a URL that looks like the following: http://.../somepage.page?pn={0}

### getRequestParams

    public void getRequestParams(javax.servlet.http.HttpServletRequest request)

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  Specified by:
    `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doEndTag` in class `javax.servlet.jsp.tagext.TagSupport`
  Throws:
    `javax.servlet.jsp.JspException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.